:root {
  --step--2: clamp(1.0417rem, 0.9309rem + 0.5536vw, 1.36rem);
  --step--1: clamp(1.25rem, 1.0935rem + 0.7826vw, 1.7rem);
  --step-0: clamp(1.5rem, 1.2826rem + 1.087vw, 2.125rem);
  --step-1: clamp(1.8rem, 1.5022rem + 1.4891vw, 2.6563rem);
  --step-2: clamp(2.16rem, 1.7564rem + 2.0179vw, 3.3203rem);
  --step-3: clamp(2.592rem, 2.05rem + 2.7102vw, 4.1504rem);
  --step-4: clamp(3.1104rem, 2.3878rem + 3.6132vw, 5.188rem);
  --step-5: clamp(3.7325rem, 2.7751rem + 4.787vw, 6.485rem);
  
  --color-primary: #0071E3;
  --color-secondary: #707070;
  --color-dark: #000000;
  --color-gris_1: #a8a8a8;
  --color-gris_2: #C7C2C2;
  --color-gris_3: #E6E6E6;
  --color-light: #F2F2F7;
  --color-text: #2C2C2E;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  overflow-x: hidden;
  scroll-behavior: smooth;
}

body {
  font-family: 'Quicksand', sans-serif;
  line-height: 1.2;
  color: var(--color-text);
  overflow-x: hidden;
}

img {
  max-width: 100%;
  height: auto;
}

  /* Tipografia*/

 h1{
  font-weight: 300;
  font-size: var(--step-2);
 }

  h2{
    font-weight: 300;
    font-size: var(--step-2);
  }

  h3{
    font-weight: 300;
    font-size: var(--step-1);
  }

  h4{
    font-weight: 400;
    font-size: var(--step-0);
  }

  p{
    font-weight: 400;
    font-size: var(--step-0);
  }





    /* Botones*/


.btn-primary {
  background: var(--color-primary);
  color: white;
  border: none;
  padding: 1rem 2rem;
  border-radius: 2rem;
  font-weight: 600;
  cursor: pointer;
  transition: transform 0.3s ease;
}

.btn-primary:hover {
  transform: translateY(-2px);
  background: var(--color-secondary);
}

.btn-secondary {
  background: rgba(0,0, 0, 0);
  color: white;
  border: solid 2px var(--color-primary);
  padding: 1rem 2rem;
  border-radius: 2rem;
  font-weight: 600;
  cursor: pointer;
  transition: transform 0.3s ease;
}

.btn-secondary:hover {
  transform: translateY(-2px);
  border-color: var(--color-light);
}

.btn_icon {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: space-around;
  gap: 5px;
  background: var(--color-primary);
  color: var(--color-gris_3);
  border: solid 2px var(--color-primary);
  padding: 0.5rem 1.5rem;
  border-radius: 2rem;
  font-weight: 600;
  cursor: pointer;
  transition: transform 0.3s ease;

}

.btn_icon:hover {

  transform: translateY(-2px);
  background-color: var(--color-gris_2);
  border-color: var(--color-gris_1);

}

.icono{
  width: 30px;
}